Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::views::iter_take_while_base_fn Struct Reference
Inheritance diagram for ranges::views::iter_take_while_base_fn:

## Public Member Functions
template<typename Rng , typename Pred >
constexpr iter_take_while_view< all_t< Rng >, Pred > | operator() (Rng &&rng, Pred pred) const

## Member Function Documentation

## ◆ operator()()

template<typename Rng , typename Pred >

constexpr iter_take_while_view<all_t<Rng>, Pred> ranges::views::iter_take_while_base_fn::operator() | ( | Rng && | rng,
|  | Pred | pred
| ) |  | const
| constexpr

Precondition
  requires `viewable_range<Rng> && input_range<Rng> && predicate<Pred &, iterator_t<Rng>> && copy_constructible<Pred>`